Index: branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_News.php
===================================================================
--- branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_News.php	(revision 22567)
+++ branches/version-2_12-dev/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_News.php	(revision 22581)
@@ -67,4 +67,5 @@
     {
 
+        $objNews = new SC_Helper_News_Ex();
         $objFormParam = new SC_FormParam_Ex();
         switch ($this->getMode()) {
@@ -75,6 +76,6 @@
                 $this->arrErr = $objFormParam->checkError(false);
                 if (empty($this->arrErr)) {
-
-                    $json = $this->lfGetNewsForJson($objFormParam);
+                    $arrData = $objFormParam->getHashArray();
+                    $json = $this->lfGetNewsForJson($arrData, $objNews);
                     echo $json;
                     SC_Response_Ex::actionExit();
@@ -90,6 +91,6 @@
                 $this->arrErr = $objFormParam->checkError(false);
                 if (empty($this->arrErr)) {
-
-                    $json = $this->lfGetNewsDetailForJson($objFormParam);
+                    $arrData = $objFormParam->getHashArray();
+                    $json = $this->lfGetNewsDetailForJson($arrData, $objNews);
                     echo $json;
                     SC_Response_Ex::actionExit();
@@ -100,6 +101,6 @@
                 break;
             default:
-                $this->newsCount = $this->lfGetNewsCount();
-                $this->arrNews = $this->lfGetNews(SC_Query_Ex::getSingletonInstance());
+                $this->arrNews = $objNews->getList();
+                $this->newsCount = $objNews->getCount();
                 break;
         }
@@ -135,8 +136,7 @@
      * @return array $arrNewsList 新着情報の配列を返す
      */
-    function lfGetNews(&$objQuery)
-    {
-        $objQuery->setOrder('rank DESC ');
-        $arrNewsList = $objQuery->select('* , cast(news_date as date) as news_date_disp', 'dtb_news' ,'del_flg = 0');
+    function lfGetNews($dispNumber, $pageNo, SC_Helper_News_Ex $objNews)
+    {
+        $arrNewsList = $objNews->getList($dispNumber, $pageNo);
 
         // モバイルサイトのセッション保持 (#797)
@@ -159,23 +159,17 @@
      * (ページと表示件数を指定)
      *
-     * @param array $objFormParam フォームパラメータークラス
+     * @param array $arrData フォーム入力値
+     * @param object $objNews
      * @return String $json 新着情報のJSONを返す
      */
-    function lfGetNewsForJson(&$objFormParam)
-    {
-
-        $objQuery =& SC_Query_Ex::getSingletonInstance();
-        $arrData = $objFormParam->getHashArray();
+    function lfGetNewsForJson($arrData, SC_Helper_News_Ex $objNews)
+    {
 
         $dispNumber = $arrData['disp_number'];
         $pageNo = $arrData['pageno'];
-        if (!empty($dispNumber) && !empty($pageNo)) {
-            $objQuery->setLimitOffset($dispNumber, (($pageNo - 1) * $dispNumber));
-        }
-
-        $arrNewsList = $this->lfGetNews($objQuery);
+        $arrNewsList = $this->lfGetNews($dispNumber, $pageNo, $objNews);
 
         //新着情報の最大ページ数をセット
-        $newsCount = $this->lfGetNewsCount();
+        $newsCount = $objNews->getCount();
         $arrNewsList['news_page_count'] = ceil($newsCount / 3);
 
@@ -189,34 +183,15 @@
      * (news_idを指定)
      *
-     * @param array $objFormParam フォームパラメータークラス
+     * @param array $arrData フォーム入力値
+     * @param object $objNews
      * @return String $json 新着情報1件分のJSONを返す
      */
-    function lfGetNewsDetailForJson(&$objFormParam)
-    {
-
-        $objQuery = SC_Query_Ex::getSingletonInstance();
-        $arrData = $objFormParam->getHashArray();
-        $newsId = $arrData['news_id'];
-        $arrNewsList = $objQuery->select(' * , cast(news_date as date) as news_date_disp ',' dtb_news '," del_flg = '0' AND news_id = ? ", array($newsId));
-
+    function lfGetNewsDetailForJson($arrData, SC_Helper_News_Ex $objNews)
+    {
+
+        $arrNewsList = $objNews->get($arrData['news_id']);
         $json =  SC_Utils_Ex::jsonEncode($arrNewsList);    //JSON形式
 
         return $json;
-    }
-
-    /**
-     * 新着情報の件数を取得する
-     *
-     * @return Integer $count 新着情報の件数を返す
-     */
-    function lfGetNewsCount()
-    {
-
-        $count = 0;
-
-        $objQuery = SC_Query_Ex::getSingletonInstance();
-        $count = $objQuery->count('dtb_news', "del_flg = '0'");
-
-        return $count;
     }
 
